PT-2014-65: Multiple Cross-Site Scripting in InstantCMS

Vulnerable software

InstantCMS

Version: 1.x

Link:
http://www.instantcms.ru/

Severity level

Severity level: Medium
Impact: Cross-Site Scripting
Access Vector: Remote

CVSS v2:
Base Score: 4.3
Vector: (AV:N/AC:M/Au:N/C:N/I:P/A:N)

CVE: not assigned

Software description

InstantCMS is a web content management system.

Vulnerability description

The specialists of the Positive Research center have detected multiple Cross-Site Scripting vulnerabilities in InstantCMS.

Cross-site scripting in the spellchecker.php file allows remote attackers to inject arbitrary HTML tags (including JavaScript scripts, etc.) to a page processed by user's browser.

How to fix

Update your software up to the latest version.

Advisory status

26.12.2013 - Vendor gets vulnerability details
28.12.2013 - Vendor releases fixed version and details
26.12.2014 - Public disclosure

Credits

The vulnerabilities were detected by using Positive Technologies Application Inspector, the application security testing system

References

http://en.securitylab.ru/lab/PT-2014-65

Reports on the vulnerabilities previously discovered by Positive Research:

http://www.ptsecurity.com/research/advisory/
http://en.securitylab.ru/lab/

Threatscape
Visionary WAF – Constant innovation